List of PTV Products | Log4j Vulnerability

Products of PTV a German consulting company specialising in software and consulting has been also affected by Log4j Vulnerability. For some of the PTV products, the patch has been already released wheres for couple of products the Log4j integration has not been completed yet. Customer owner installations of products are yet to receive patches and they would be receiving in short term with direct information about how to download and apply the patch also.

ProductVersionsStatusPatched?
 Arrival Board AllNot VulnerableNot Needed
 Balance and  EpicsAllNot VulnerableNot Needed
 DeveloperAllVulnerablePatched
 Drive&Arrive AppAllNot VulnerableNot Needed
 Drive&ArriveAllNot VulnerableNot Needed
 HyperpathAllNot VulnerableNot Needed
 MaaS ModellerAllVulnerablePatched
 Map&Guide internetAllNot VulnerableNot Needed
 Map&Guide intranetAllNot VulnerableNot Needed
 Map&MarketAllVulnerablePatched
 Navigator AppAllNot VulnerableNot Needed
 Navigator Licence ManagerAllNot VulnerableNot Needed
 OptimaAllNot VulnerableNot Needed
 Road EditorAllNot VulnerableNot Needed
 Route Optimiser CLAllVulnerablePatched
 Route Optimiser STAllVulnerablePatched
 Route Optimizer SaaS / DemonstratorAllVulnerablePatched
 TLN planner internetAllVulnerablePatched
 TRE and  Tre-AddinAllNot VulnerableNot Needed
 VissimAllNot VulnerableNot Needed
 VistroAllNot VulnerableNot Needed
 VisumAllNot VulnerableNot Needed
 Visum PublisherAllVulnerablePatched
 ViswalkAllNot VulnerableNot Needed
 xServer < 1.34 (on prem)AllNot VulnerableNot Needed
 xServer 1.34 (on prem)AllVulnerablePatched
 xServer 2.x (on prem)AllVulnerablePatched
 xServer internet 1 /  xServer internet 2AllVulnerablePatched
 Route Optimiser CLAllVulnerablePatched
 Route Optimiser STAllVulnerablePatched
 Content Update Service 2AllVulnerablePatched
 Map&Market AllVulnerablePatched
 Trip CreatorAllNot VulnerableNot Needed
 EM PortalAllNot VulnerableNot Needed
 OptimaAllNot VulnerableNot Needed
 Vistad EuskaAllNot VulnerableNot Needed
 Map&Market<2018Not VulnerableNot Needed
Source: https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information